{
  fetchFromGitHub,
  stdenv,
  cmake,
  bison,
  flex,
  ...
}:
stdenv.mkDerivation rec {
  name = "thtk";

  src = fetchFromGitHub {
    owner = "thpatch";
    repo = name;
    rev = "1e38aeed98f3bad09d2583ca05bfe0ba9c13c1db";
    hash = "sha256-iGv6T4ntupyNFbkvL0Ejub7RzV8S557HCcclP10u69w=";
    fetchSubmodules = true;
  };

  buildInputs = [
    cmake
    bison
    flex
  ];
}
